## org.apache.myfaces.taglib.html
Class HtmlOutputLinkTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlOutputLinkTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  HtmlOutputLinkTag

public abstract class HtmlOutputLinkTagBase
extends HtmlComponentTagBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $), Martin Marinschek

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlOutputLinkTagBase()`

Method Summary
`void` `release()`
`void` `setAccesskey(java.lang.String accesskey)`
`void` `setCharset(java.lang.String charset)`
`void` `setCoords(java.lang.String coords)`
`void` `setHreflang(java.lang.String hreflang)`
`void` `setOnblur(java.lang.String onblur)`
`void` `setOnfocus(java.lang.String onfocus)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setRel(java.lang.String rel)`
`void` `setRev(java.lang.String rev)`
`void` `setShape(java.lang.String shape)`
`void` `setTabindex(java.lang.String tabindex)`
`void` `setTarget(java.lang.String target)`
`void` `setType(java.lang.String type)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlOutputLinkTagBase

    public HtmlOutputLinkTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlComponentTagBase`

### setAccesskey

    public void setAccesskey(java.lang.String accesskey)

### setCharset

    public void setCharset(java.lang.String charset)

### setCoords

    public void setCoords(java.lang.String coords)

### setHreflang

    public void setHreflang(java.lang.String hreflang)

### setOnblur

    public void setOnblur(java.lang.String onblur)

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### setRel

    public void setRel(java.lang.String rel)

### setRev

    public void setRev(java.lang.String rev)

### setShape

    public void setShape(java.lang.String shape)

### setTabindex

    public void setTabindex(java.lang.String tabindex)

### setTarget

    public void setTarget(java.lang.String target)

### setType

    public void setType(java.lang.String type)